Subject: Re: mpc5200 i2c bus problem

From: [email-masked]
Date: Wed, 06 Jul 2005 12:24:11 +0200

Hi

> I send a message here to indicate an hardware problem with mpc5200 i2c
> module. This bug is not describe in the mpc5200 errata document.
> I can reproduce it on revA and revB of the silicium. After contacting
> Freescale, they recognize the problem.
> 
> The problem is that, sometime, the 9th pulse clock on SCL is missing !!!!
> I can send a scope screen capture which shows that if someone wants.

Well, at the end of the day, you might be better by using two GPIO to do I2C
bit-banging ... Thanks for sharing the info, that might spare us long hours of
searching were the problem lies.

Unfortunatly the I2C port on the 5200 can't be turned to GPIO so that requires
some hardware modification ;(

    Sylvain

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.